Groovy 1.7.0

## org.codehaus.groovy.runtime
Class Reflector

    java.lang.Object
      org.codehaus.groovy.runtime.Reflector

    class Reflector
    extends Object

Provides as alternative to reflection using bytecode generation.

author:
  James Strachan

version:
  $Revision: 4247 $

Constructor Summary
`Reflector()`

Method Summary
`Object` | `invoke(CachedMethod method, Object object, Object[] arguments)`
`protected Object` | `noSuchMethod(CachedMethod method, Object object, Object[] arguments)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Reflector

    Reflector()

Method Detail

### invoke

    public Object invoke(CachedMethod method, Object object, Object[] arguments)

### noSuchMethod

    protected Object noSuchMethod(CachedMethod method, Object object, Object[] arguments)

Copyright © 2003-2009 The Codehaus. All rights reserved.